<html>
<head>
	<meta charset="utf-8"/>
	<title>Sign Up Form</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

<!-- Optional theme -->
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css" integrity="sha384-rHyoN1iRsVXV4nD0JutlnGaslCJuC7uwjduW9SVrLvRYooPp2bWYgmgJQIXwl/Sp" crossorigin="anonymous">

<!-- Latest compiled and minified JavaScript --> 
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script> 
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.5.7/angular.min.js"></script>  
	<script type="text/javascript" src="https://cdn.jsdelivr.net/ngstorage/0.3.6/ngStorage.min.js"></script> 
	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/angularjs/1.5.5/angular-cookies.min.js"></script>
    <script src="userController.js"></script>  

<style type="text/css">
.ng-touched.ng-invalid-required {
    border-color: red;
}
/* Show red border when stuff has been typed in, but its invalid */
.ng-dirty.ng-invalid {
  border-color: red;
}
/*Show normal border color when typed in for the first time*/
.ng-untouched.ng-invalid {
    border-color: #ccc; 
}
.ng-submitted input.ng-invalid{
    border-color: red;
} 
.panel{
	box-shadow: 5px 5px 10px 10px grey; 
}  
@media (min-width: 1200px) {
    .container{
        max-width: 600px;
    }
}
</style>
</head>
<body ng-app="userApp">  
	<br> 
<div class="container" ng-controller="userCtrl"> 
<div class="panel panel-default"> 
  <div class="panel-body">  
	<form name="signupFrm" role="form" novalidate="novalidate" id="frmSign"> 
	  <div class="form-group">
	    <label for="firstname">First Name</label>
	    <input type="text" name="ftname" class="form-control"  id="fname" ng-model="student.firstname" ng-required="true">
	    <div ng-messages="signupFrm.ftname.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.ftname.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.ftname.$valid" class="text-danger"><i>First Name field required</i></div>
	    </div>
	  </div>
	  <div class="form-group">
	    <label for="middlename">Middle Name</label>
	    <input type="text" class="form-control" id="mdname" name="mdname" ng-model="student.middlename" ng-required="true">
	    <div ng-messages="signupFrm.mdname.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.mdname.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.mdname.$valid" class="text-danger"><i>Middle Name field required</i></div>
	    </div>
	  </div>
	  <div class="form-group">
	    <label for="lastname">Last Name</label>
	    <input type="text" class="form-control" id="lname" name="lname" ng-model="student.lastname" ng-required="true">
	    <div ng-messages="signupFrm.lname.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.lname.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.lname.$valid" class="text-danger"><i>Last Name field required</i></div>
	    </div>
	  </div>
	   <div class="form-group">
	    <label for="Age">Age</label>
	    <input type="text" class="form-control" id="age" name="age" ng-model="student.age" ng-required="true">
	    <div ng-messages="signupFrm.age.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.age.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.age.$valid" class="text-danger"><i>Age field required</i></div>
	    </div>
	  </div>
	  <div class="form-group">
	    <label for="gender">Gender</label> <br>
	     <label class="radio-inline">
      		<input type="radio" name="optradio" ng-required="true" ng-model="student.gender" Value="Male">Male
    	</label>
	    <label class="radio-inline">
	      <input type="radio" name="optradio" ng-required="true" ng-model="student.gender" Value="Female">Female
	    </label>
	    <div ng-messages="signupFrm.optradio.$error" 
          ng-show='signupFrm.$submitted || signupFrm.optradio.$dirty' role="alert">
          <div ng-message="required" ng-hide="signupFrm.optradio.$valid" class="text-danger"><i>Please select a gender</i></div>
    	</div> 
	  </div>
	  <div class="form-group">
	    <label for="email">Email Address</label>
	    <input type="email" class="form-control" id="emailAdd" name="emailAdd" ng-model="student.emailadd" ng-required="true">
	    <div ng-messages="signupFrm.emailAdd.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.emailAdd.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.emailAdd.$valid" class="text-danger"><i>Emaill Address field required</i></div>
	    </div>
	  </div>
	  <div class="form-group">
	    <label for="username">Username</label>
	    <input type="text" class="form-control" id="username" name="username" ng-model="student.username" ng-required="true">
	    <div ng-messages="signupFrm.username.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.username.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.username.$valid" class="text-danger"><i>Username field required</i></div>
	    </div>
	  </div>
	  <div class="form-group">
	    <label for="password">Password</label>
	    <input type="password" class="form-control" id="password" name="password" ng-model="student.password" ng-required="true">
	    <div ng-messages="signupFrm.password.$error" 
	        ng-show='signupFrm.$submitted && signupFrm.password.$invalid'>
	        <div ng-message="required" ng-hide="signupFrm.password.$valid" class="text-danger"><i>Password field required</i></div>
	    </div>
	  </div>
	  <div id="successAlert"></div>

 		<input type="submit" class="btn btn-primary form-control" class="" value="Submit" ng-click="signupFrm.$valid && insertUser()">
 		<br>
 		<br>   
 	<a href="login.html">Already have an Account? Sign In here.</a> 
	</form> 
  </div>
</div>
</div>
</body>
</html>